<table class="table">
    <thead class="table-header-group font-bold italic bg-[#00b89c] dark:bg-gray-600">
        <tr class="table-row">
            <th class="table-cell text-left pr-1 p-1" th:text="#{date}"></th>
            <th class="table-cell text-left pr-1 p-1" th:text="#{name}"></th>
            <th class="table-cell text-left pr-1 p-1" th:text="#{category}"></th>
            <th class="table-cell text-right pr-1 p-1" th:text="#{amount}"></th>
        </tr>
    </thead>
    <tbody class="table-row-group">
        <tr class="table-row" th:if="${total != null}">
            <td class="table-cell pr-1 p-1"></td>
            <td class="table-cell pr-1 p-1"></td>
            <td class="table-cell pr-1 p-1 text-right font-bold">gesamt</td>
            <td class="table-cell pr-1 p-1 text-right font-bold" th:text="${#numbers.formatDecimal(total, 1, 'DEFAULT', 2, 'DEFAULT')}"></td>
        </tr>
        <tr th:each="cost: ${costs}" class="table-row even:bg-gray-200 hover:bg-blue-200 dark:even:bg-gray-700 dark:hover:bg-stone-500">
            <td class="table-cell pr-1 p-1">
                <time th:datetime="${cost.date}" th:text="${#temporals.format(cost.getDate(), 'dd.MM.yyyy')}"></time>
            </td>
            <td class="table-cell pr-1 p-1" th:text="${cost.getName()}"></td>
            <td class="table-cell pr-1 p-1" th:text="${cost.getCategory()}"></td>
            <td class="table-cell pr-1 p-1 text-right" th:text="${#numbers.formatDecimal(cost.getAmount(), 1, 'DEFAULT', 2, 'DEFAULT')}"></td>
        </tr>
    </tbody>
</table>

